
QGIS Application - Bug report #13378

Error when querying DB

2015-09-18 01:29 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21430

Description

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/PROGRA~1/QGISWI~1/apps/qgis/./python/plugins\\db_manager\\db_plugins\\data_model.py", line 76, in data

    return u"%s..." % val[:300]

UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 9: ordinal not in range(128)

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.8.2-Wien Wien, 1b929ef

Python path: ['C:/PROGRA~1/QGISWI~1/apps/qgis/./python/plugins\\\\processing',

'C:/Users/florinb/.qgis2/python/plugins\\\\processing_prepair', 'C:/Users/florinb/.qgis2/python/plugins\\\\processinglwgeomprovider',

'C:/Users/florinb/.qgis2/python/plugins\\\\postgis_geoprocessing', 'C:/PROGRA~1/QGISWI~1/apps/qgis/./python',

u'C:/Users/florinb/.qgis2/python', u'C:/Users/florinb/.qgis2/python/plugins', 'C:/PROGRA~1/QGISWI~1/apps/qgis/./python/plugins',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\matplotlib-1.3.1-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\

ose-1.3.3-py2.7.egg', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\tornado-4.0.1-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\backports.ssl_match_hostname-3.4.0.2-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\certifi-14.05.14-py2.7.egg',

'c:\\\\osgeo4~1\\\\apps\\\\python27\\\\lib\\\\site-packages\\\\python_dateutil-2.1-py2.7.egg',

'c:\\\\osgeo4~1\\\\apps\\\\python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\bin\\\\python27.zip',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\bin', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlrd-0.9.2-py2.7.egg',
'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlwt-0.7.5-py2.7.egg', u'C:/Users/florinb/.qgis2//python',

'C:\\\\Users\\\\florinb\\\\.qgis2\\\\python\\\\plugins\\\\mmqgis/forms', '.',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

History

#1 - 2015-09-20 08:41 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in commit:9fc1b48b
